<?php

/**
 * ImageFolder
 * 
 * @package ImageFolder
 * @author Damir Enseleit
 * @copyright 2012, SELFPHP OHG
 * @license MIT
 * @version 1.0.0
 * @link http://www.selfphp.de
 * 
 */ 


	
	function dir_size($dir) {
	
		$images = array();
		$images['file'] = '';
		$images['size'] = 0;
		$images['filesCount'] = 0;
		
		$handle = @opendir($dir);
		
		if(!$handle)
			return false;
	
		while ($file = @readdir ($handle)) {
			if ($file == "." || $file == "..") {
				continue;
			}
	
			if (!is_dir($dir . DIRECTORY_SEPARATOR . $file)){
				$images['size'] += filesize($dir . DIRECTORY_SEPARATOR . $file);
				$images['filesCount'] += 1;
				$images['file'] = $dir . DIRECTORY_SEPARATOR . $file;
			}
			
		}
	
		@closedir($handle);
		
		$images['size'] = sizeMath($images['size']);
		
		return $images;
	
	}
	
	function sizeMath($size) {
	
		if($size >= 1000000) {
			$size = $size / 1000000;
			$size = round($size)  . 'MB';
		} else {
			$size = $size / 1000;
			$size = round($size) . 'KB';
		}
	
		return $size;
	
	}
	
	
	function getPictures($dir){
		$handle = @opendir($dir);
		
		$files = array();
		$counter = 0;
		
		if(!$handle)
			return false;
		
		while ($file = @readdir ($handle)) {
			if ($file == "." || $file == "..") {
				continue;
			}
		
			if (!is_dir($dir . DIRECTORY_SEPARATOR . $file)){
				$files[$counter]['file'] = $file;
				$files[$counter]['size'] = sizeMath(filesize($dir . DIRECTORY_SEPARATOR . $file));
				$dimension = getimagesize($dir . DIRECTORY_SEPARATOR . $file);
				$files[$counter]['width'] = $dimension[0];
				$files[$counter]['height'] = $dimension[1];
				$counter++;
			}
				
		}
		
		@closedir($handle);
		
		return $files;
	}
	


?>